Stock
Search stock GIFs
GET
/v1/stock/gifs Retrieve a paginated list of stock GIFs matching the query.
Request
curl "https://api.rendley.com/v1/stock/gifs" \
-H "Authorization: Bearer YOUR_API_KEY" const res = await fetch("https://api.rendley.com/v1/stock/gifs", {
headers: { Authorization: "Bearer YOUR_API_KEY" },
});
const { data } = await res.json(); import requests
res = requests.get(
"https://api.rendley.com/v1/stock/gifs",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
data = res.json()["data"] Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
query | string | Optional | Search query |
page | string | Optional | Page number |
limit | string | Optional | Results per page (max 50) |
Example response
{
"data": [
{
"alt_text": "string",
"duration": 0,
"height": 0,
"id": "string",
"source_url": "string",
"thumbnail_url": "string",
"width": 0
}
]
} Response codes
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
401 | Unauthorized |
Search stock images
GET
/v1/stock/images Retrieve a paginated list of stock images matching the query.
Request
curl "https://api.rendley.com/v1/stock/images" \
-H "Authorization: Bearer YOUR_API_KEY" const res = await fetch("https://api.rendley.com/v1/stock/images", {
headers: { Authorization: "Bearer YOUR_API_KEY" },
});
const { data } = await res.json(); import requests
res = requests.get(
"https://api.rendley.com/v1/stock/images",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
data = res.json()["data"] Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
query | string | Optional | Search query |
page | string | Optional | Page number |
limit | string | Optional | Results per page (max 50) |
Example response
{
"data": [
{
"alt_text": "string",
"duration": 0,
"height": 0,
"id": "string",
"source_url": "string",
"thumbnail_url": "string",
"width": 0
}
]
} Response codes
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
401 | Unauthorized |
Search stock stickers
GET
/v1/stock/stickers Retrieve a paginated list of stock stickers matching the query.
Request
curl "https://api.rendley.com/v1/stock/stickers" \
-H "Authorization: Bearer YOUR_API_KEY" const res = await fetch("https://api.rendley.com/v1/stock/stickers", {
headers: { Authorization: "Bearer YOUR_API_KEY" },
});
const { data } = await res.json(); import requests
res = requests.get(
"https://api.rendley.com/v1/stock/stickers",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
data = res.json()["data"] Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
query | string | Optional | Search query |
page | string | Optional | Page number |
limit | string | Optional | Results per page (max 50) |
Example response
{
"data": [
{
"alt_text": "string",
"duration": 0,
"height": 0,
"id": "string",
"source_url": "string",
"thumbnail_url": "string",
"width": 0
}
]
} Response codes
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
401 | Unauthorized |
Search stock videos
GET
/v1/stock/videos Retrieve a paginated list of stock videos matching the query.
Request
curl "https://api.rendley.com/v1/stock/videos" \
-H "Authorization: Bearer YOUR_API_KEY" const res = await fetch("https://api.rendley.com/v1/stock/videos", {
headers: { Authorization: "Bearer YOUR_API_KEY" },
});
const { data } = await res.json(); import requests
res = requests.get(
"https://api.rendley.com/v1/stock/videos",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
data = res.json()["data"] Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
query | string | Optional | Search query |
page | string | Optional | Page number |
limit | string | Optional | Results per page (max 50) |
Example response
{
"data": [
{
"alt_text": "string",
"duration": 0,
"height": 0,
"id": "string",
"source_url": "string",
"thumbnail_url": "string",
"width": 0
}
]
} Response codes
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
401 | Unauthorized |